Bug 2394

Summary: DataGridView: crash when setting Height and MinimumHeight in VirtualMode
Product: [Mono] Class Libraries Reporter: eb1
Component: Windows.FormsAssignee: Bugzilla <bugzilla>
Status: RESOLVED FIXED    
Severity: normal CC: miguel, mono-bugs+mono, stifu
Priority: Lowest    
Version: 2.10.x   
Target Milestone: Untriaged   
Hardware: PC   
OS: Linux   
Tags: mono-community Is this bug a regression?: ---
Last known good build:
Attachments: Unit test that demonstrates the problem and suggested fix

Description eb1 2011-12-07 12:00:40 UTC
When setting both Height and MinimumHeight in DataGridView's VirtualMode and the new Height value is less then the previous MinimumHeight value we get a crash.
Comment 1 eb1 2011-12-16 10:08:48 UTC
Created attachment 1058 [details]
Unit test that demonstrates the problem and suggested fix
Comment 2 Thomas Goldstein 2012-06-20 18:23:51 UTC
I like the little refactoring done in the patch, which avoids repetition. However, 2 of the 3 unit tests fail with .NET.

RowHeightLessThanOldMinHeightVirtMode: "Expected: 2  But was:  5"
RowHeightLessThanMinHeightVirtMode: "System.ArgumentOutOfRangeException was expected"

By the way, I suggest to drop the ExpectedException attribute, and use Assert.Throws instead.
Comment 3 Miguel de Icaza [MSFT] 2014-05-15 17:22:47 UTC
Thanks!

Applied!